#!/bin/sh
# ----------------------------------------
#  This batch file will set up and run the JMSAdminGui. You will need to
#  customise it for your setup where marked.
#
#  Usage: jmsadmingui [-t]
#
#         [-t] will turn on MQ JMS tracing for this program.
# ----------------------------------------

# ----------------------------------------
#  The following paths should be changed to point to the location of the
#  jar files, and the location of the WebSphere MQ Classes for Java base
#  directory.
# ----------------------------------------
export CUR=/root/jmsadmingui
export MQJ=/opt/mqm/java

export CLASSPATH=$CUR:$CUR/jmsadmingui.jar:$CUR/com.ibm.mq.pcf.jar:$CUR/mqcontext.jar
export CLASSPATH=$CLASSPATH:$MQJ/lib:$MQJ/lib/com.ibm.mqjms.jar:$MQJ/lib/com.ibm.mqbind.jar:$MQJ/lib/com.ibm.mq.jar:$MQJ/lib/jms.jar:$MQJ/lib/fscontext.jar:$MQJ/lib/ldap.jar:$MQJ/lib/jndi.jar:$MQJ/lib/providerutil.jar:$MQJ/lib/jta.jar:$MQJ/lib/connector.jar

java com.ibm.mq.jms.admin.JMSAdminGUI $1
